
  clear all

  load /home/ecoliver/Desktop/data/cars/Rossby_radius.mat

  file_netcdf = '/home/ecoliver/Desktop/data/cars/Rossby_radius.nc';

  nccreate(file_netcdf, 'lon', 'Dimensions', {'lon', length(lon)})
  ncwrite(file_netcdf, 'lon', lon);
  ncwriteatt(file_netcdf, 'lon', 'title', 'longitude of each location');
  ncwriteatt(file_netcdf, 'lon', 'units', 'decimal degrees longitude');

  nccreate(file_netcdf, 'lat', 'Dimensions', {'lat', length(lat)});
  ncwrite(file_netcdf, 'lat', lat);
  ncwriteatt(file_netcdf, 'lat', 'title', 'latitude of each location');
  ncwriteatt(file_netcdf, 'lat', 'units', 'decimal degrees latitude');

  nccreate(file_netcdf, 'cR', 'Dimensions', {'lat', length(lat), 'lon', length(lon)});
  ncwrite(file_netcdf, 'cR', cR);
  ncwriteatt(file_netcdf, 'cR', 'title', 'First baroclinic mode Rossby wave speed');
  ncwriteatt(file_netcdf, 'cR', 'units', 'm/s');

  nccreate(file_netcdf, 'c1', 'Dimensions', {'lat', length(lat), 'lon', length(lon)});
  ncwrite(file_netcdf, 'c1', c1);
  ncwriteatt(file_netcdf, 'c1', 'title', 'First baroclinic mode gravity wave speed');
  ncwriteatt(file_netcdf, 'c1', 'units', 'm/s');

  nccreate(file_netcdf, 'H', 'Dimensions', {'lat', length(lat), 'lon', length(lon)});
  ncwrite(file_netcdf, 'H', H);
  ncwriteatt(file_netcdf, 'H', 'title', 'Water depth (bathymetry)');
  ncwriteatt(file_netcdf, 'H', 'units', 'm');

  nccreate(file_netcdf, 'K', 'Dimensions', {'lat', length(lat), 'lon', length(lon)});
  ncwrite(file_netcdf, 'K', K);
  ncwriteatt(file_netcdf, 'K', 'title', 'Number of vertical grid cells in CARS2009');
  ncwriteatt(file_netcdf, 'K', 'units', 'None');

  nccreate(file_netcdf, 'N_neg_N2', 'Dimensions', {'lat', length(lat), 'lon', length(lon)});
  ncwrite(file_netcdf, 'N_neg_N2', N_neg_N2);
  ncwriteatt(file_netcdf, 'N_neg_N2', 'title', 'Number of grid cells at which calculate N^2 (buoyancy frequency) was negative and was corrected according to the algorithm of Chelton et al. (Journal of Physical Oceanography, 1998). The proportion of corrected cells at each spatial location can be calculated from N_neg_N2/K and be used as a measure of reliability of the cR and c1 values.');
  ncwriteatt(file_netcdf, 'N_neg_N2', 'units', 'None');

  ncwriteatt(file_netcdf, '/','title', 'First baroclinic gravity wave and Rossby wave speeds.');
  ncwriteatt(file_netcdf, '/','summary', 'Calculated from CSIRO Atlas of Regional Seas Climatology (CARS2009) temperature and salinity fields following the method of Chelton et al. (Journal of Physical Oceanography, 1998). Data are provided on a 0.5 degree grid in latitude and longitude');
  ncwriteatt(file_netcdf, '/','creator_name', 'Eric C. J. Oliver');
  ncwriteatt(file_netcdf, '/','creator_email', 'eric.oliver@utas.edu.au');
  ncwriteatt(file_netcdf, '/','creator_url', 'http://passage.phys.ocean.dal.ca/~olivere/');
  ncwriteatt(file_netcdf, '/','creation_time',datestr(now));

